Page MenuHomePhabricator

Mark a Topic as resolved shouldn't send a notifications to people who follow the Board but not the Topic itself
Closed, ResolvedPublic

Description

I had two feedback in a short time:

  • one by chat, where a user complains of having two dozens of notifications because a user she follows (talk page in watchlist) has decided to suddenly resolve all topics on his page,
  • one on wiki.

I don't know if there is a reason to send a notification for resolved Topics to someone who is not following these Topics.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 24 2016, 1:01 AM
Trizek-WMF updated the task description. (Show Details)May 24 2016, 1:02 AM

Change 290521 had a related patch set uploaded (by Catrope):
When a topic is resolved/reopened, notify topic watchers, not board watchers

https://gerrit.wikimedia.org/r/290521

Catrope claimed this task.May 24 2016, 7:38 PM

Change 290521 merged by jenkins-bot:
When a topic is resolved/reopened, notify topic watchers, not board watchers

https://gerrit.wikimedia.org/r/290521

Trizek-WMF added a comment.EditedMay 31 2016, 2:44 PM

I got a feedback from a user who received yesterday two notifications for topics he was not watching and which have been resolved.

I got a feedback from a user who received yesterday two notifications for topics he was not watching and which have been resolved.

This should be fixed once wmf4 rolls out (I wonder why @ReleaseTaggerBot didn't tag this with MW-1.28-release (WMF-deploy-2016-05-31_(1.28.0-wmf.4)) ), which for frwiki will happen on Thursday.

Change 294715 had a related patch set uploaded (by Catrope):
Follow-up 89880f89d: Actually notify topic watchers of topic-resolved/topic-reopened

https://gerrit.wikimedia.org/r/294715

Change 294715 merged by jenkins-bot:
Follow-up 89880f89d: Actually notify topic watchers of topic-resolved/topic-reopened

https://gerrit.wikimedia.org/r/294715

Checked in betalabs - Resolving/Reopened unwatched topics on watched boards do not trigger notifications anymore (emails were checked too).

The only action (beside 'Thank', of course) on unwatched topics that triggers notifications is editing a post: Users who posts to unwatched topics even on unwatched Flow boards will have notifications when their posts are edited - which is logical in my opinion.

jmatazzoni closed this task as Resolved.Jun 16 2016, 10:34 PM